	COMMON /sctparm_/
.2:
	DS 8
	CSEG
	COMMON /errno_/
.3:
	DS 2
	CSEG
	COMMON /Sysvec_/
.4:
	DS 2
	CSEG
	PUBLIC main_
main_:	CALL .zsav##
	DW .5
	LXI H,22
	PUSH H
	LXI H,.1+0
	PUSH H
	LXI H,1
	PUSH H
	FUNC	write_
	CALL write_
	POP D
	POP D
	POP D
	LXI H,48
	XCHG
	LXI H,2-.5
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	LXI H,0
	XCHG
	LXI H,0-.5
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	LXI H,4
	XCHG
	LXI H,-2-.5
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	LXI H,.1+23
	XCHG
	LXI H,-6-.5
	DAD SP
	MOV M,E
	INX H
	MOV M,D
.6:
	LXI H,2-.5
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,80
	CALL .gt##
	PUSH H
	LXI H,4-.5
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,65
	CALL .lt##
	POP D
	CALL .or##
	JZ .7
	LXI H,0
	PUSH H
	LXI H,3
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	PUSH H
	FUNC	toupper_
	CALL toupper_
	POP D
	XCHG
	LXI H,2-.5
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	LXI H,2-.5
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,48
	CALL .lt##
	JNZ .9
	LXI H,2-.5
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,57
	CALL .gt##
	JZ .10
	LXI H,2-.5
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,65
	CALL .lt##
	JNZ .9
.10:
	LXI H,2-.5
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,80
	CALL .gt##
	JZ .8
.9:
	LXI H,8
	XCHG
	LXI H,2-.5
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	MOV A,D
	ORA E
	JNZ .12
	LXI H,127
	XCHG
	LXI H,2-.5
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	MOV A,D
	ORA E
	JZ .11
.12:
	LXI H,-2-.5
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,4
	CALL .gt##
	JZ .11
	LXI H,3
	PUSH H
	LXI H,.1+34
	PUSH H
	LXI H,1
	PUSH H
	FUNC	write_
	CALL write_
	POP D
	POP D
	POP D
	LXI H,0-.5
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DCX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	LXI H,0
	PUSH H
	LXI H,0-.5
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DCX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	LXI H,-4-.5
	DAD SP
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DAD D
	POP D
	MOV M,E
	JMP .13
.11:
	LXI H,7
	PUSH H
	FUNC	putchar_
	CALL putchar_
	POP D
.13:
	JMP .14
.8:
	LXI H,2-.5
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,65
	CALL .lt##
	JZ .15
	LXI H,0-.5
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	INX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
.15:
	LXI H,0-.5
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,2
	CALL .gt##
	JZ .16
	LXI H,0-.5
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DCX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	LXI H,7
	PUSH H
	FUNC	putchar_
	CALL putchar_
	POP D
	JMP .17
.16:
	LXI H,2-.5
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,-4-.5
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,0-.5
	DAD SP
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DAD D
	POP D
	MOV M,E
	LXI H,-2-.5
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	INX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	LXI H,2-.5
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	putchar_
	CALL putchar_
	POP D
.17:
.14:
	JMP .6
.7:
	LXI H,3
	PUSH H
	LXI H,.1+38
	PUSH H
	LXI H,1
	PUSH H
	FUNC	write_
	CALL write_
	POP D
	POP D
	POP D
	LXI H,58
	PUSH H
	LXI H,-4-.5
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,0-.5
	DAD SP
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DAD D
	POP D
	MOV M,E
	LXI H,128
	XCHG
	LXI H,-4-.5
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	LXI H,-6-.5
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,-2-.5
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	strcpy_
	CALL strcpy_
	POP D
	POP D
	LXI H,0
	PUSH H
	LXI H,47
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	XCHG
	LXI H,2-.5
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	RET
.5 EQU -10
.1:
	DB 10,68,105,114,101,99,116,111,114,121,32,118,111,110,32
	DB 68,114,105,118,101,58,32,0,68,73,82,32,32,32,32
	DB 32,32,0,0,8,32,8,0,58,10,10,10,0
	END
